## gate.jape
Class TestJape2

    java.lang.Object
      |
      +--gate.jape.TestJape2

public class TestJape2
extends Object

Second test harness for JAPE. Uses the Sheffield Tokeniser and Gazetteer, and must be run from the gate directory.

Constructor Summary
`TestJape2()`

Method Summary
`static void` `main(String[] args)` Take a list of text files and a collection name, and call tokeniser/gazetteer/jape on them, creating the collection.
`static void` `message(String mess)` Hello? Anybody there??
`static Corpus` `tokAndGaz(String collName, ArrayList fileNames)` Create a collection and put tokenised and gazetteered docs in it.
`static void` `usage(String errorMessage)` You got something wrong, dumbo.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TestJape2

    public TestJape2()

Method Detail

### main

    public static void main(String[] args)

  Take a list of text files and a collection name, and call tokeniser/gazetteer/jape on them, creating the collection.

### tokAndGaz

    public static Corpus tokAndGaz(String collName,
                                   ArrayList fileNames)
                            throws ResourceInstantiationException

  Create a collection and put tokenised and gazetteered docs in it.

### usage

    public static void usage(String errorMessage)

  You got something wrong, dumbo.

### message

    public static void message(String mess)

  Hello? Anybody there??